curl --request PATCH \
--url https://api.example.com/api/v1/deployments/{deploymentSlug}/projects/{projectName}/managed-scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentSlug": "your-deployment",
"diff_scan": {
"enabled": true
},
"full_scan": {
"enabled": true
},
"projectName": "organization/project"
}
'import requests
url = "https://api.example.com/api/v1/deployments/{deploymentSlug}/projects/{projectName}/managed-scan"
payload = {
"deploymentSlug": "your-deployment",
"diff_scan": { "enabled": True },
"full_scan": { "enabled": True },
"projectName": "organization/project"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentSlug: 'your-deployment',
diff_scan: {enabled: true},
full_scan: {enabled: true},
projectName: 'organization/project'
})
};
fetch('https://api.example.com/api/v1/deployments/{deploymentSlug}/projects/{projectName}/managed-scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": 1234567,
"name": "returntocorp/semgrep",
"tags": [
"tag"
],
"created_at": "2020-11-18T23:28:12.391Z",
"default_branch": "refs/heads/main",
"latest_scan_at": "2023-01-13T20:51:51.449Z",
"managed_scan_config": {
"diff_scan": {
"enabled": true
},
"full_scan": {
"enabled": true
}
},
"primary_branch": "refs/heads/custom-main",
"url": "https://github.com/returntocorp/semgrep"
}
}Toggle Managed Scans for a project
Enable or disable Semgrep Managed Scans for a project.
Authorizations
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Slug of the deployment name. Can be found at /deployments, or in your Settings in the web UI.
"your-deployment"
Name of the project, typically the repository formatted as a path.
"organization/project"
Body
Slug of the deployment name. Can be found at /deployments, or in your Settings in the web UI.
"your-deployment"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Name of the project, typically the repository formatted as a path.
"organization/project"
Response
OK
Successfully updated managed scan settings for project.
A project in your organization that uses Semgrep.
Show child attributes
Show child attributes
Was this page helpful?